Subject: Re: [PATCH 00/10] sysfs tagged directories

From: Benjamin Thery <[email-masked]>
Date: Tue, 06 May 2008 18:53:00 +0200

Serge E. Hallyn wrote:
> Quoting Daniel Lezcano ([email-masked]):
>> Serge E. Hallyn wrote:
>>> Quoting Eric W. Biederman ([email-masked]):
>>>> "Serge E. Hallyn" <[email-masked]> writes:
>>>>
>>>>> Quoting Eric W. Biederman ([email-masked]):
>>>>> Ok as it turns out Benjamin Thery does in fact have a patch to fix this.
>>>>> Benjamin, please send your renaming patch out tomorrow if you can?
>>>>>
>>>>> I guess this is why I didn't really see the problem Benjamin said there
>>>>> was - it just works with SYSFS_DEPRECATED  :)
>>>> It will be nice to see that patch.  I'm curious what the problem was.
>>>>
>>>> Eric
>>> Here is the patch he had privately sent.  As the comments indicate he's
>>> still refining it so yell at me not him...   but this on top of the
>>> tagged dir patchset makes everything work for me.
>>> (I'd *really* like to see network namespaces be generally usable sometime
>>> in 2.6.26.)
>> Serge,
>>
>> I posted a fix to Dave Miller which was included in net-2.6 and merged in 
>> 2.6.26-rc1.
> 
> Cool, I see it in gitweb, thanks.
> 
>> http://marc.info/?l=linux-netdev&m=120959135229360&w=2
>>
>> This one should fix your problem for sysfs.
>>
>> There is another fix to do in order to avoid name conflicts with network 
>> interfaces belonging to different namespaces, eg. allows to rename veth1234 
>> to eth0 without conflicting with the network device belonging in init_net, 
>> I send this patch to container@ first to have it merged with the sysfs 
>> patchset.
> 
> Ok.
> 
> Benjamin, what are you doing with Eric's sysfs patchset then?  Are you
> going to re-post it asap on top of whatever tree has these two patches,
> or are you planning to wait longer?

I will resend the patchset on top of 2.6.26-rc1,
with Daniel's last patch merged.

(If anyone prefer to have it merged on top of net-2.6, say so)

-benjamin

> thanks,
> -serge

-- 
B e n j a m i n   T h e r y  - BULL/DT/Open Software R&D

    http://www.bull.com